Get a Customer Bill by ID

get

/customerBill/{id}

Gets the specified customer bill.

Request

Path Parameters
  • The ID or bill number of the customer bill to retrieve.
    Examples

Query Parameters
  • The type of object to return.
    Examples

  • The list of comma-separated fields to return in the response.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The customer's bill was retrieved successfully.
Body ()
Root Schema : Customer Bill
Type: object
Title: Customer Bill
A customer bill, also called an invoice.
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : appliedPayment
Type: array
The payments applied to the bill.
Show Source
Nested Schema : billDocument
Type: array
A document attached to the bill.
Show Source
  • Discriminator: @type
    Discriminator: { "propertyName":"@type", "mapping":{ "Attachment":"#/components/schemas/Attachment", "AttachmentRef":"#/components/schemas/AttachmentRef" } }
    The Attachment entity, not the AttachmentRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
Nested Schema : TimePeriod
Type: object
Represents a time period with a start date, an end date, or both.
Show Source
Nested Schema : Financial Account Ref
Type: object
Title: Financial Account Ref
A financial account reference.
Show Source
Nested Schema : PaymentMethodRef
Type: object
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
Match All
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
Show Source
Nested Schema : relatedParty
Type: array
The parties related to the bill.
Show Source
Nested Schema : taxItem
Type: array
The taxes on the bill.
Show Source
Nested Schema : Applied Payment
Type: object
Title: Applied Payment
A payment that can be assigned to a bill.
Show Source
Nested Schema : PaymentRef
Type: object
A payment received at order time.
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

The Attachment entity, not the AttachmentRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
Match One Schema
Show Source
Nested Schema : Attachment
Match All
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : AttachmentRef
Match All
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Entity
Type: object
Represents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : Attachment-allOf[1]
Type: object
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Quantity
Type: object
Represents an amount in a specified unit.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : AttachmentRef-allOf[1]
Type: object
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
Show Source
Nested Schema : Discriminator: @type-allOf[2]
Type: object
Refers to the billing account. The billing account describes the bill structure.
Show Source
  • Indicates if the account follows a specific payment option such as prepaid or postpaid.
Nested Schema : accountBalance
Type: array
The account's balances.
Show Source
Nested Schema : AccountBalance
Match All
Represents balances linked to an account.
Show Source
Nested Schema : AccountBalance-allOf[1]
Type: object
Represents balances linked to an account.
Show Source
Nested Schema : Related Party Ref
Type: object
Title: Related Party Ref
A reference to the party related to an object.
Show Source
Nested Schema : State Values
Type: object
Title: State Values
A tax item.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Get a Customer Bill by Billing POID

The following example shows how to get a bill with the specified billing POID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

The request uses the fields query parameter to show the details for certain fields only.

curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861?fields=amountDue,paymentDueDate'

Response Body

The following example shows the contents of the response body in JSON format. Because the request included only the amountDue and paymentDueDate fields in the fields query parameter, these are the only details shown.

{
    "id": "0.0.0.1+-bill+106861",
    "href": null,
    "billDate": null,
    "billNo": null,
    "category": null,
    "lastUpdate": null,
    "nextBillDate": null,
    "paymentDueDate": "2025-08-01T01:05:29-07:00",
    "runType": null,
    "amountDue": {
        "unit": "EUR",
        "value": 40.0
    },
    "appliedPayment": null,
    "billDocument": null,
    "billingAccount": null,
    "billingPeriod": null,
    "financialAccount": null,
    "paymentMethod": null,
    "relatedParty": null,
    "remainingAmount": null,
    "state": null,
    "taxExcludedAmount": null,
    "taxIncludedAmount": null,
    "taxItem": null,
    "@baseType": "CustomerBill",
    "@schemaLocation": null,
    "@type": "CustomerBill"
}

Example 2: Get a Customer Bill by Bill Number

The following example shows how to get the bill with the specified bill number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

The request uses the fields query parameter to show the details for certain fields only.

curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBill/B1-13?fields=billDate,amountDue,category'

Response Body

The following example shows the contents of the response body in JSON format. Because the request included only the billDate, amountDue, and category fields in the fields query parameter, these are the only details shown.

{
    "id": "B1-13",
    "href": null,
    "billDate": "2025-15-12T01:05:29-07:00",
    "billNo": null,
    "category": "normal",
    "lastUpdate": null,
    "nextBillDate": null,
    "paymentDueDate": null,
    "runType": null,
    "amountDue": {
        "unit": "EUR",
        "value": 40.0
    },
    "appliedPayment": null,
    "billDocument": null,
    "billingAccount": null,
    "billingPeriod": null,
    "financialAccount": null,
    "paymentMethod": null,
    "relatedParty": null,
    "remainingAmount": null,
    "state": null,
    "taxExcludedAmount": null,
    "taxIncludedAmount": null,
    "taxItem": null,
    "@baseType": "CustomerBill",
    "@schemaLocation": null,
    "@type": "CustomerBill"
}
Back to Top